Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface WindowCloseListener

All Superinterfaces:
  java.util.EventListener

    public interface WindowCloseListener

extends java.util.EventListener

Implement this interface to receive closing events from the browser window.

See Also:
  `Window.addWindowCloseListener(WindowCloseListener)`

Method Summary
`void` | `onWindowClosed()` Fired after the browser window closes or navigates to a different site.
`java.lang.String` | `onWindowClosing()` Fired just before the browser window closes or navigates to a different site.

Method Detail

### onWindowClosing

    java.lang.String onWindowClosing()

  Fired just before the browser window closes or navigates to a different site. No user-interface may be displayed during shutdown.

  Returns:
    non-`null` to present a confirmation dialog that asks the user whether or not she wishes to navigate away from the page. The string returned will be displayed in the close confirmation dialog box. If multiple listeners return messages, the first will be displayed; all others will be ignored.

### onWindowClosed

    void onWindowClosed()

  Fired after the browser window closes or navigates to a different site. This event cannot be cancelled, and is used mainly to clean up application state and/or save state to the server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD